{
  "format_version": "1.13.0",
  "minecraft:single_block_feature": {
    "description": {
      "identifier": "nicothekid:plant_x_spore_blossom_x_01_x_singleblock"
    },
    "places_block": "minecraft:spore_blossom",
    "enforce_survivability_rules": false,
    "enforce_placement_rules": false,
    "may_replace": [
      "minecraft:air",
      "minecraft:glow_lichen",
      "minecraft:vine"
    ],
    "may_attach_to": {
			"top": [
			  {
          "tags": "query.any_tag('custom_log')"
        },
			  {
          "tags": "query.any_tag('custom_wood')"
        },
			  {
          "tags": "query.any_tag('grassed_stones')"
        },
			  {
          "tags": "query.any_tag('grassed_woods')"
        },
			  {
          "tags": "query.any_tag('mossed_stones')"
        },
			  {
          "tags": "query.any_tag('mossed_woods')"
        },
			  "minecraft:dirt",
			  "minecraft:dirt_with_roots",
			  "minecraft:grass",
			  "minecraft:log",
			  "minecraft:log2",
        "minecraft:mangrove_log",
			  "minecraft:moss_block"
			]
		}
  }
}